from django.db import models

# Create your models here.
class OTPSeed(models.Model):
    id       = models.AutoField(primary_key=True)
    name     = models.CharField(max_length=128)
    realm    = models.CharField(max_length=128)
    seed     = models.CharField(max_length=128)

    class Meta:
        unique_together = (('name', 'realm'),)

    def __str__(self):
        return "'{}'@{}".format(self.name, self.realm)
